Package org.spongepowered.asm.service

## Interface IClassBytecodeProvider

    public interface IClassBytecodeProvider

Interface for object which can provide class bytecode

### Method Summary

All Methods Instance Methods Abstract Methods
`org.objectweb.asm.tree.ClassNode` `getClassNode​(java.lang.String name)` Retrieve transformed class as an ASM tree
`org.objectweb.asm.tree.ClassNode` `getClassNode​(java.lang.String name, boolean runTransformers)` Retrieve transformed class as an ASM tree
`org.objectweb.asm.tree.ClassNode` `getClassNode​(java.lang.String name, boolean runTransformers, int readerFlags)` Retrieve transformed class as an ASM tree

### Method Detail

#### getClassNode

    org.objectweb.asm.tree.ClassNode getClassNode​(java.lang.String name)
                                           throws java.lang.ClassNotFoundException,
                                                  java.io.IOException

Retrieve transformed class as an ASM tree

Parameters:
  `name` - full class name
Returns:
  tree
Throws:
  `java.lang.ClassNotFoundException` - if class not found
  `java.io.IOException` - propagated

#### getClassNode

    org.objectweb.asm.tree.ClassNode getClassNode​(java.lang.String name,
                                                  boolean runTransformers)
                                           throws java.lang.ClassNotFoundException,
                                                  java.io.IOException

Retrieve transformed class as an ASM tree

Parameters:
  `name` - full class name
  `runTransformers` - true to run transformers when loading the class
Returns:
  tree
Throws:
  `java.lang.ClassNotFoundException` - if class not found
  `java.io.IOException` - propagated

#### getClassNode

    org.objectweb.asm.tree.ClassNode getClassNode​(java.lang.String name,
                                                  boolean runTransformers,
                                                  int readerFlags)
                                           throws java.lang.ClassNotFoundException,
                                                  java.io.IOException

Retrieve transformed class as an ASM tree

Parameters:
  `name` - full class name
  `runTransformers` - true to run transformers when loading the class
  `readerFlags` - Flags to pass in to ClassReader.accept
Returns:
  tree
Throws:
  `java.lang.ClassNotFoundException` - if class not found
  `java.io.IOException` - propagated